apiVersion: "2021-07-01"
location: eastus
properties:
  containers:
    - name: decisions
      properties:
        environmentVariables:
          - name: DECISIONS_DATABASECONNECTSTRING
            value: Server=tcp:YOURAZURESQLDATABASE.database.windows.net,1433;Initial Catalog=decisions;Persist Security Info=False;User ID=DATABASESERVERADMINUSERNAME;Password=DATABASESERVERPASSWORD;MultipleActiveResultSets=False;Encrypt=True;TrustServerCertificate=False;Connection Timeout=30;
          - name: DECISIONS_PORTALBASEURL
            value: http://PORTALBASEURL
          - name: DECISIONS_DATABASETYPE
            value: AZURE
          - name: LANG
            value: en_US.UTF-8
          - name: LANGUAGE
            value: en_US:en
          - name: LC_ALL
            value: en_US.UTF-8
          - name: TZ
            value: US/Eastern
          - name: DECISIONS_FILESTORAGELOCATION
            value: /filestorage
        image: decisionscore/platform:latest
        ports:
          - port: 80
        resources:
          requests:
            cpu: 2.0
            memoryInGB: 4
        volumeMounts:
          - mountPath: /Logs/
            name: logs
          - mountPath: /filestorage/
            name: filestorage
  osType: Linux
  restartPolicy: Never
  ipAddress:
    type: Public
    ports:
      - port: 80
  volumes:
    - name: logs
      azureFile:
        sharename: logs
        storageAccountName: STORAGEACCOUNTNAME
        storageAccountKey: STORAGEACCOUNTKEY
    - name: filestorage
      azureFile:
        sharename: filestorage
        storageAccountName: STORAGEACCOUNTNAME
        storageAccountKey: STORAGEACCOUNTKEY
tags: {}
type: Microsoft.ContainerInstance/containerGroups
